<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <meta charset="UTF-8">
    <title>Policy</title>

    <style>

        body {
            background-color: #555;
        }

        .navbar-fixed {
            position: absolute;
            z-index: 999999999;
        }


        .col .row {
            margin-left: 5rem;
            margin-right: 5rem;
        }

        .background {

            position: absolute;
            width: 100%;
            height: 100%;
            background-image: url("https://abali.ru/_d/2013/05/siniy_goluboj_fon_1920x1080.jpg");
        }

        .foreground {
            backdrop-filter: blur(10px);
            margin-left: 30rem;
            margin-right: 30rem;
            margin-top: 13rem;
        }

        aside {
            position: relative;
            padding: 1.5rem;
            font-size: 1.125rem;
            font-weight: 600;
            max-width: 700px;
            border-top: 4px solid;
            border-left: 4px solid;
            border-bottom: 4px solid;
            border-image-slice: 1;
            border-image-source: linear-gradient(90deg, #14b1ab, transparent);
        }

        .brand-logo {
            position: absolute;
            left: 0px;
            top: -100%;
        }

        ::placeholder {
            color: black;

        }

    </style>

</head>
<body>

<div class="wrapper">

    <div class="background">

        <div class="navbar-fixed">
            <nav class="transparent z-depth-0">
                <div class="nav-wrapper">
                    <!--                    <a href="#!" class="brand-logo"><img src="logo/logo.png" ></a>-->
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                    <ul class="right hide-on-med-and-down">
                        <li><a th:href="@{/}" href="index.html">Home</a></li>
                        <li><a th:href="@{/forms}" href="formPage.html">Forms and Offers</a></li>
                        <li sec:authorize="isAuthenticated()"><a th:href="@{/my-profile}" href="my-profile.html">My
                            Profile</a></li>

                        <li sec:authorize="hasRole('ROLE_ADMIN')">
                            <form th:action="@{/administrator}" method="get">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Admin">Admin
                                    Portal
                                </button>
                            </form>
                        </li>

                        <li sec:authorize="isAuthenticated()">
                            <form th:action="@{/logout}" method="post">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Logout">Logout!
                                </button>
                            </form>
                        </li>

                        <button class="btn waves-effect waves-light col s4" sec:authorize="!isAuthenticated()"
                                onclick="window.location='/login'" value="Login">Login!
                        </button>

                    </ul>
                </div>
            </nav>
        </div>


        <div class="foreground">


            <aside>


                <div class="policy-bar box glowing">

                    <form action="#" th:action="@{/policy/save}" th:object="${policyDto}" method="post" id="savePolicy"
                          class="col s12" enctype="multipart/form-data">

                        <div class="row">
                            <div class="input-field col s12">
                                <input type="date" placeholder="First Registration Date" th:field="*{startDate}"
                                       required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="input-field col s12">

                                <tr>
                                    <td><input th:field="*{picture}" type="file" name="fileUpload" size="50" required>
                                    </td>
                                </tr>
                            </div>
                        </div>


                        <div class="row">
                            <button class="btn waves-effect waves-light col s6" type="submit" value="Save">Save!
                            </button>

                            <!--                <a class="waves-effect waves-light btn modal-trigger col s6" href="#modal1">Details</a>-->
                            <button class="waves-effect waves-light btn modal-trigger col s6" href="#modal1">Details
                            </button>
                        </div>

                    </form>


                </div>
            </aside>
        </div>
        <div id="modal1" class="modal modal-fixed-footer">
            <div class="modal-content">
                <label>First Name:</label>
                <p th:text="${user.firstName}"></p>
                <label>Last Name:</label>
                <p th:text="${user.lastName}"></p>
                <label>Phone Number:</label>
                <p th:text="${user.phone}"></p>
                <label>Address:</label>
                <p th:text="${user.address}"></p>
                <label>City:</label>
                <p th:text="${user.getCity().name}"></p>
                <label>Your Age:</label>
                <p th:text="${session.simulationFormSession.driverAge}"></p>
                <label>Car Cubic Capacity:</label>
                <p th:text="${session.simulationFormSession.cubicCapacity}"></p>
                <label>First Registration Date:</label>
                <p th:text="${session.simulationFormSession.firstRegistrationDate}"></p>
                <label>Accidents:</label>
                <p th:text="${session.simulationFormSession.accident}"></p>
                <label>Total price:</label>
                <p th:text="${session.totalPrice}"></p>


            </div>
            <div class="modal-footer">
                <a href="#!" class="modal-close waves-effect waves-green btn-flat">Agree</a>
            </div>
        </div>
    </div>
</div>

<script>
    (function ($) {
        $(function () {
            $('.modal').modal();
        });
    })(jQuery);
</script>

</body>
</html>